gstreamermm: Gst::DecodeBin Class Reference

gstreamermm 1.0.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gst::DecodeBin Class Reference
gstreamermm Plugins

A Wrapper for the decodebin plugin. More...

Inheritance diagram for Gst::DecodeBin:
[legend]
Collaboration diagram for Gst::DecodeBin:
[legend]

## Public Member Functions
virtual | ~DecodeBin ()
GstDecodeBin* | gobj ()
| Provides access to the underlying C GObject. More...
const GstDecodeBin* | gobj () const
| Provides access to the underlying C GObject. More...
GstDecodeBin* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::PropertyProxy < Glib::RefPtr< Gst::Caps > > | property_caps ()
| The caps on which to stop decoding. More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Caps > > | property_caps () const
| The caps on which to stop decoding. More...
Glib::PropertyProxy < Glib::ustring > | property_subtitle_encoding ()
| Encoding to assume if input subtitles are not in UTF-8 encoding. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_subtitle_encoding () const
| Encoding to assume if input subtitles are not in UTF-8 encoding. More...
Glib::PropertyProxy < Glib::RefPtr< Gst::Caps > > | property_sink_caps ()
| The caps of the input data. More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Caps > > | property_sink_caps () const
| The caps of the input data. More...
Glib::PropertyProxy< bool > | property_use_buffering ()
| Emit GST_MESSAGE_BUFFERING based on low-/high-percent thresholds. More...
Glib::PropertyProxy_ReadOnly < bool > | property_use_buffering () const
| Emit GST_MESSAGE_BUFFERING based on low-/high-percent thresholds. More...
Glib::PropertyProxy< int > | property_low_percent ()
| Low threshold for buffering to start. More...
Glib::PropertyProxy_ReadOnly< int > | property_low_percent () const
| Low threshold for buffering to start. More...
Glib::PropertyProxy< int > | property_high_percent ()
| High threshold for buffering to finish. More...
Glib::PropertyProxy_ReadOnly< int > | property_high_percent () const
| High threshold for buffering to finish. More...
Glib::PropertyProxy< guint > | property_max_size_bytes ()
| Max. More...
Glib::PropertyProxy_ReadOnly < guint > | property_max_size_bytes () const
| Max. More...
Glib::PropertyProxy< guint > | property_max_size_buffers ()
| Max. More...
Glib::PropertyProxy_ReadOnly < guint > | property_max_size_buffers () const
| Max. More...
Glib::PropertyProxy< guint64 > | property_max_size_time ()
| Max. More...
Glib::PropertyProxy_ReadOnly < guint64 > | property_max_size_time () const
| Max. More...
Glib::PropertyProxy< bool > | property_post_stream_topology ()
| Post stream-topology messages. More...
Glib::PropertyProxy_ReadOnly < bool > | property_post_stream_topology () const
| Post stream-topology messages. More...
Glib::PropertyProxy< bool > | property_expose_all_streams ()
| Expose all streams, including those of unknown type or that don't match the 'caps' property. More...
Glib::PropertyProxy_ReadOnly < bool > | property_expose_all_streams () const
| Expose all streams, including those of unknown type or that don't match the 'caps' property. More...
Glib::PropertyProxy< guint64 > | property_connection_speed ()
| Network connection speed in kbps (0 = unknown). More...
Glib::PropertyProxy_ReadOnly < guint64 > | property_connection_speed () const
| Network connection speed in kbps (0 = unknown). More...
Glib::SignalProxy2< void, const Glib::RefPtr< Gst::Pad > &, const Glib::RefPtr < Gst::Caps >& > | signal_unknown_type ()
Glib::SignalProxy2< bool, const Glib::RefPtr< Gst::Pad > &, const Glib::RefPtr < Gst::Caps >& > | signal_autoplug_continue ()
Glib::SignalProxy2 < Glib::ValueArray, const Glib::RefPtr< Gst::Pad > &, const Glib::RefPtr < Gst::Caps >& > | signal_autoplug_factories ()
Glib::SignalProxy3 < Glib::ValueArray, const Glib::RefPtr< Gst::Pad > &, const Glib::RefPtr < Gst::Caps >&, const Glib::ValueArray& > | signal_autoplug_sort ()
Glib::SignalProxy3 < Gst::AutoplugSelectResult, const Glib::RefPtr< Gst::Pad > &, const Glib::RefPtr < Gst::Caps >&, const Glib::RefPtr < Gst::ElementFactory >& > | signal_autoplug_select ()
Glib::SignalProxy0< void > | signal_drained ()
Public Member Functions inherited from Gst::Bin
virtual | ~Bin ()
GstBin* | gobj ()
| Provides access to the underlying C GObject. More...
const GstBin* | gobj () const
| Provides access to the underlying C GObject. More...
GstBin* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Gst::Bin > | add (const Glib::RefPtr< Gst::Element >& element)
| Adds the given element to the bin. More...
Glib::RefPtr< Gst::Bin > | remove (const Glib::RefPtr< Gst::Element >& element)
| Removes the element from the bin, unparenting it as well. More...
Glib::RefPtr< Gst::Element > | get_element (const Glib::ustring& name)
| Gets the element with the given name from a bin. More...
Glib::RefPtr< const Gst::Element > | get_element (const Glib::ustring& name) const
| Gets the element with the given name from a bin. More...
Glib::RefPtr< Gst::Element > | get_element_recurse_up (const Glib::ustring& name)
| Gets the element with the given name from this bin. More...
Glib::RefPtr< const Gst::Element > | get_element_recurse_up (const Glib::ustring& name) const
| Gets the element with the given name from this bin. More...
Glib::RefPtr< Gst::Element > | get_element (GType interface)
| Looks for an element inside the bin that implements the given interface. More...
Glib::RefPtr< const Gst::Element > | get_element (GType interface) const
| Looks for an element inside the bin that implements the given interface. More...
Glib::RefPtr< Gst::GhostPad > | add_ghost_pad (const Glib::RefPtr< Gst::Element >& element, const Glib::ustring& pad_name, const Glib::ustring& name=Glib::ustring())
| Adds a ghost pad to the bin using an element's static pad as a target. More...
Glib::RefPtr< Gst::Pad > | find_unlinked_pad (PadDirection dir)
| Recursively looks for elements with an unlinked pad of the given direction within the specified bin and returns an unlinked pad if one is found, or `0` otherwise. More...
Glib::RefPtr< const Gst::Pad > | find_unlinked_pad (PadDirection dir) const
| Recursively looks for elements with an unlinked pad of the given direction within the specified bin and returns an unlinked pad if one is found, or `0` otherwise. More...
Gst::Iterator< Gst::Element > | iterate_elements ()
| Gets an iterator for the elements in this bin. More...
Gst::Iterator< const Gst::Element > | iterate_elements () const
| Gets an iterator for the elements in this bin. More...
Gst::Iterator< Gst::Element > | iterate_recurse ()
| Gets an iterator for the elements in this bin. More...
Gst::Iterator< const Gst::Element > | iterate_recurse () const
| Gets an iterator for the elements in this bin. More...
Gst::Iterator< Gst::Element > | iterate_sorted ()
| Gets an iterator for the elements in this bin in topologically sorted order. More...
Gst::Iterator< const Gst::Element > | iterate_sorted () const
| Gets an iterator for the elements in this bin in topologically sorted order. More...
Gst::Iterator< Gst::Element > | iterate_sources ()
| Gets an iterator for all elements in the bin that have the Gst::ELEMENT_FLAG_SOURCE flag set. More...
Gst::Iterator< const Gst::Element > | iterate_sources () const
| Gets an iterator for all elements in the bin that have the Gst::ELEMENT_FLAG_SOURCE flag set. More...
Gst::Iterator< Gst::Element > | iterate_sinks ()
| Gets an iterator for all elements in the bin that have the Gst::ELEMENT_FLAG_SINK flag set. More...
Gst::Iterator< const Gst::Element > | iterate_sinks () const
| Gets an iterator for all elements in the bin that have the Gst::ELEMENT_FLAG_SINK flag set. More...
Gst::Iterator< Gst::Element > | iterate_by_interface (GType iface)
| Looks for all elements inside the bin that implements the given interface. More...
Gst::Iterator< const Gst::Element > | iterate_by_interface (GType iface) const
| Looks for all elements inside the bin that implements the given interface. More...
bool | recalculate_latency ()
| Query bin for the current latency using and reconfigures this latency to all the elements with a LATENCY event. More...
Glib::ListHandle< Glib::RefPtr < Gst::Element > > | get_children () const
| Gets the bin's list of children. More...
int | get_num_children () const
| Gets the number of children in the bin. More...
Glib::PropertyProxy< bool > | property_async_handling ()
| The bin will handle Asynchronous state changes. More...
Glib::PropertyProxy_ReadOnly < bool > | property_async_handling () const
| The bin will handle Asynchronous state changes. More...
Glib::PropertyProxy< bool > | property_message_forward ()
| Forwards all children messages. More...
Glib::PropertyProxy_ReadOnly < bool > | property_message_forward () const
| Forwards all children messages. More...
Glib::SignalProxy1< void, const Glib::RefPtr < Gst::Element >& > | signal_element_added ()
Glib::SignalProxy1< void, const Glib::RefPtr < Gst::Element >& > | signal_element_removed ()
Glib::SignalProxy0< bool > | signal_do_latency ()
virtual bool | add_element_vfunc (const Glib::RefPtr< Gst::Element >& element)
| Method to add an element to a bin. More...
virtual bool | remove_element_vfunc (const Glib::RefPtr< Gst::Element >& element)
| Method to remove an element from a bin. More...
virtual void | handle_message_vfunc (const Glib::RefPtr< Gst::Message >& message)
| Method to handle a message from the children. More...
Public Member Functions inherited from Gst::Element
virtual | ~Element ()
GstElement* | gobj ()
| Provides access to the underlying C GObject. More...
const GstElement* | gobj () const
| Provides access to the underlying C GObject. More...
GstElement* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Gst::Element > | link (const Glib::RefPtr< Gst::Element >& dest)
| Links this source element to the element. More...
bool | add_pad (const Glib::RefPtr< Gst::Pad >& pad)
| Adds a pad (link point) to element. More...
void | create_all_pads ()
| Creates a pad for each pad template that is always available. More...
Glib::RefPtr< Gst::Pad > | create_compatible_pad (const Glib::RefPtr< const Gst::Pad >& pad, const Glib::RefPtr< const Gst::Caps >& caps)
| Looks for an unlinked pad to which the given pad can link. More...
Glib::RefPtr< Gst::PadTemplate > | get_compatible_pad_template (const Glib::RefPtr< const Gst::PadTemplate >& compattempl)
| Retrieves a pad template from element that is compatible with compattempl. More...
Glib::RefPtr< const Gst::PadTemplate > | get_compatible_pad_template (const Glib::RefPtr< const Gst::PadTemplate >& compattempl) const
| Retrieves a pad template from element that is compatible with compattempl. More...
Glib::RefPtr< Gst::Pad > | get_request_pad (const Glib::ustring& name)
| Retrieves a pad from the element by name (e.g. "src_\\%d"). More...
Glib::RefPtr< Gst::Pad > | request_pad (const Glib::RefPtr< Gst::PadTemplate >& templ, const Glib::ustring& name, const Glib::RefPtr< const Gst::Caps >& caps)
| Retrieves a request pad from the element according to the provided template. More...
Glib::RefPtr< Gst::Pad > | request_pad (const Glib::RefPtr< Gst::PadTemplate >& templ, const Glib::ustring& name)
| A request_pad() convenience overload. More...
Glib::RefPtr< Gst::Pad > | request_pad (const Glib::RefPtr< Gst::PadTemplate >& templ, const Glib::RefPtr< const Gst::Caps >& caps)
| A request_pad() convenience overload. More...
Glib::RefPtr< Gst::Pad > | request_pad (const Glib::RefPtr< Gst::PadTemplate >& templ)
| A request_pad() convenience overload. More...
Glib::RefPtr< Gst::Pad > | get_static_pad (const Glib::ustring& name)
| Retrieves a pad from element by name. More...
Glib::RefPtr< const Gst::Pad > | get_static_pad (const Glib::ustring& name) const
| Retrieves a pad from element by name. More...
void | no_more_pads ()
| Use this function to signal that the element does not expect any more pads to show up in the current pipeline. More...
void | release_request_pad (const Glib::RefPtr< Gst::Pad >& pad)
| Makes the element free the previously requested pad as obtained with get_request_pad(). More...
bool | remove_pad (const Glib::RefPtr< Gst::Pad >& pad)
| Removes pad from element. More...
Gst::Iterator< Gst::Pad > | iterate_pads ()
| Retrieves an iterator of element's pads. More...
Gst::Iterator< const Gst::Pad > | iterate_pads () const
| Retrieves an iterator of element's pads. More...
Gst::Iterator< Gst::Pad > | iterate_sink_pads ()
| Retrieves an iterator of element's sink pads. More...
Gst::Iterator< const Gst::Pad > | iterate_sink_pads () const
| Retrieves an iterator of element's sink pads. More...
Gst::Iterator< Gst::Pad > | iterate_src_pads ()
| Retrieves an iterator of element's source pads. More...
Gst::Iterator< const Gst::Pad > | iterate_src_pads () const
| Retrieves an iterator of element's source pads. More...
void | unlink (const Glib::RefPtr< Gst::Element >& dest)
| Unlinks all source pads of the source element with all sink pads of the sink element to which they are linked. More...
bool | link_pads (const Glib::ustring& srcpadname, const Glib::RefPtr< Gst::Element >& dest, const Glib::ustring& destpadname)
| Links the two named pads of the source and destination elements. More...
void | unlink_pads (const Glib::ustring& srcpadname, const Glib::RefPtr< Gst::Element >& dest, const Glib::ustring& destpadname)
| Unlinks the two named pads of the source and destination elements. More...
bool | link_pads (const Glib::ustring& srcpadname, const Glib::RefPtr< Gst::Element >& dest, const Glib::ustring& destpadname, const Glib::RefPtr< Gst::Caps >& filter)
| Links the two named pads of the source and destination elements. More...
bool | link_pads (const Glib::ustring& srcpadname, const Glib::RefPtr< Gst::Element >& dest, const Glib::ustring& destpadname, PadLinkCheck flags)
| Links the two named pads of the source and destination elements. More...
Glib::RefPtr< Gst::Element > | link (const Glib::RefPtr< Gst::Element >& dest, const Glib::RefPtr< Gst::Caps >& filter)
| Links src to dest using the given caps as filtercaps. More...
void | set_base_time (ClockTime time)
| Set the base time of an element. More...
ClockTime | get_base_time () const
| Returns the base time of the element. More...
void | set_start_time (Gst::ClockTime time)
| Set the start time of an element. More...
Gst::ClockTime | get_start_time () const
| Returns the start time of the element. More...
void | set_bus (const Glib::RefPtr< Gst::Bus >& bus)
| Sets the bus of the element. More...
Glib::RefPtr< Gst::Bus > | get_bus ()
| Returns the bus of the element. More...
Glib::RefPtr< const Gst::Bus > | get_bus () const
| Returns the bus of the element. More...
Glib::RefPtr< Gst::ElementFactory > | get_factory ()
| Retrieves the factory that was used to create this element. More...
Glib::RefPtr< const Gst::ElementFactory > | get_factory () const
| Retrieves the factory that was used to create this element. More...
bool | set_clock (const Glib::RefPtr< Gst::Clock >& clock)
| Sets the clock for the element. More...
Glib::RefPtr< Gst::Clock > | get_clock ()
| Gets the currently configured clock of the element. More...
Glib::RefPtr< const Gst::Clock > | get_clock () const
| Gets the currently configured clock of the element. More...
Glib::RefPtr< Gst::Clock > | provide_clock ()
| Get the clock provided by the given element. More...
Glib::RefPtr< const Gst::Clock > | provide_clock () const
| Get the clock provided by the given element. More...
StateChangeReturn | set_state (State state)
| Sets the state of the element. More...
StateChangeReturn | get_state (State& state, State& pending, ClockTime timeout) const
| Gets the state of the element. More...
bool | set_locked_state (gboolean locked_state)
| Locks the state of an element, so state changes of the parent don't affect this element anymore. More...
bool | is_locked_state () const
| Checks if the state of an element is locked. More...
void | abort_state ()
| Abort the state change of the element. More...
StateChangeReturn | continue_state (StateChangeReturn ret)
| Commit the state change of the element and proceed to the next pending state if any. More...
void | lost_state ()
| Brings the element to the lost state. More...
bool | sync_state_with_parent ()
| Tries to change the state of the element to the same as its parent. More...
StateChangeReturn | change_state (StateChange transition)
| Perform transition on element. More...
void | post_message (int code, int line, MessageType type=Gst::MESSAGE_INFO, const Glib::QueryQuark& domain=get_core_error_quark(), const Glib::ustring& text=Glib::ustring(), const Glib::ustring& debug=Glib::ustring(), const Glib::ustring& file=Glib::ustring(), const Glib::ustring& function=Glib::ustring())
| Post an error, warning or info message on the bus from inside an element. More...
bool | post_message (const Glib::RefPtr< Gst::Message >& message)
| Post a message on the element's Gst::Bus. More...
bool | query (const Glib::RefPtr< Gst::Query >& query) const
| Performs a query on the given element. More...
bool | query_convert (Gst::Format src_format, gint64 src_val, Format dest_format, gint64& dest_val) const
| Queries an element to convert src_val in src_format to dest_format. More...
bool | query_position (Gst::Format format, gint64& cur) const
| Queries an element for the stream position. More...
bool | query_position (Gst::Format format) const
| Queries an element for the stream position. More...
bool | query_duration (Gst::Format format, gint64& duration) const
| Queries an element for the total stream duration. More...
bool | query_duration (Gst::Format format) const
| Queries an element for the total stream duration. More...
bool | seek (Format format, SeekFlags seek_flags, gint64 seek_pos)
| Simple API to perform a seek on the given element, meaning it just seeks to the given position relative to the start of the stream. More...
bool | seek (double rate, Format format, SeekFlags flags, SeekType cur_type, gint64 cur, SeekType stop_type, gint64 stop)
| Sends a seek event to an element. More...
bool | send_event (const Glib::RefPtr< Gst::Event >& event)
| Sends an event to an element. More...
Glib::SignalProxy0< void > | signal_no_more_pads ()
Glib::SignalProxy1< void, const Glib::RefPtr< Gst::Pad >& > | signal_pad_added ()
Glib::SignalProxy1< void, const Glib::RefPtr< Gst::Pad >& > | signal_pad_removed ()
virtual void | release_pad_vfunc (const Glib::RefPtr< Gst::Pad >& pad)
| Called when a request pad is to be released. More...
virtual Glib::RefPtr< Gst::Pad > | request_new_pad_vfunc (Glib::RefPtr< Gst::PadTemplate > templ, const Glib::ustring& name, const Glib::RefPtr< const Gst::Caps >& caps)
| Called when a new pad is requested. More...
virtual StateChangeReturn | get_state_vfunc (State& state, State& pending, ClockTime timeout) const
| Get the state of the element. More...
virtual StateChangeReturn | set_state_vfunc (State state)
| Set a new state on the element. More...
virtual StateChangeReturn | change_state_vfunc (StateChange transition)
| Called by set_state to perform an incremental state change. More...
virtual void | set_bus_vfunc (const Glib::RefPtr< Gst::Bus >& bus)
| Set a Gst::Bus on the element. More...
virtual Glib::RefPtr< Gst::Clock > | provide_clock_vfunc ()
| Gets the Gst::Clock provided by the element. More...
virtual bool | set_clock_vfunc (const Glib::RefPtr< Gst::Clock >& clock)
| Set the Gst::Clock on the element. More...
virtual bool | send_event_vfunc (const Glib::RefPtr< Gst::Event >& event)
| Send a Gst::Event to the element. More...
virtual bool | query_vfunc (const Glib::RefPtr< Gst::Query >&query) const
| Perform a Gst::Query on the element. More...
Glib::RefPtr< Gst::PadTemplate > | get_pad_template (const Glib::ustring& factory_name) const
template<typename T >
Glib::RefPtr< Gst::Element > | property (const Glib::ustring& name, const T& value)
| Sets specified property. More...
Public Member Functions inherited from Gst::Object
virtual | ~Object ()
GstObject* | gobj ()
| Provides access to the underlying C GObject. More...
const GstObject* | gobj () const
| Provides access to the underlying C GObject. More...
GstObject* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
bool | is_element () const
bool | is_element_factory () const
bool | is_pad () const
bool | is_pad_template () const
bool | is_bin () const
guint32 | get_flags () const
| Returns the entire set of flags for the object. More...
bool | set_name (const Glib::ustring& name)
| Sets the name of object, or gives object a guaranteed unique name (if name is `0`). More...
Glib::ustring | get_name () const
| Returns a copy of the name of object. More...
bool | set_parent (const Glib::RefPtr< Gst::Object >& parent)
| Sets the parent of object to parent. More...
Glib::RefPtr< Gst::Object > | get_parent ()
| Returns the parent of object. More...
Glib::RefPtr< const Gst::Object > | get_parent () const
| Returns the parent of object. More...
void | unparent ()
| Clear the parent of object, removing the associated reference. More...
bool | has_ancestor (const Glib::RefPtr< const Gst::Object >& ancestor) const
| Check if object has an ancestor ancestor somewhere up in the hierarchy. More...
Glib::ustring | get_path_string ()
| Generates a string describing the path of object in the object hierarchy. More...
Glib::PropertyProxy < Glib::ustring > | property_name ()
| The name of the object. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_name () const
| The name of the object. More...
Glib::SignalProxy2< void, const Glib::RefPtr< Object > &, GParamSpec* > | signal_deep_notify ()
Public Member Functions inherited from Gst::ChildProxy
virtual | ~ChildProxy ()
GstChildProxy* | gobj ()
| Provides access to the underlying C GObject. More...
const GstChildProxy* | gobj () const
| Provides access to the underlying C GObject. More...
guint | get_children_count () const
| Gets the number of child objects this parent contains. More...
Glib::RefPtr< Gst::Object > | get_child (const Glib::ustring& name)
| Looks up a child element by the given name. More...
Glib::RefPtr< const Gst::Object > | get_child (const Glib::ustring& name) const
| Looks up a child element by the given name. More...
Glib::RefPtr< Glib::Object > | get_child (guint index)
| Fetches a child by its number. More...
Glib::RefPtr< const Glib::Object > | get_child (guint index) const
| Fetches a child by its number. More...
Glib::RefPtr< Gst::ChildProxy > | get_proxy_property (const Glib::ustring& name, Glib::ValueBase& value)
| Gets a single property using the Gst::ChildProxy mechanism. More...
Glib::RefPtr< const Gst::ChildProxy > | get_proxy_property (const Glib::ustring& name, Glib::ValueBase& value) const
| Gets a single property using the Gst::ChildProxy mechanism. More...
Glib::RefPtr< Gst::ChildProxy > | set_proxy_property (const Glib::ustring& name, const Glib::ValueBase& value)
| Sets a single property using the Gst::ChildProxy mechanism. More...
void | child_added (const Glib::RefPtr< Gst::Object >& child, const Glib::ustring& name)
| Emits the "child-added" signal. More...
void | child_removed (const Glib::RefPtr< Gst::Object >& child, const Glib::ustring& name)
| Emits the "child-removed" signal. More...
Glib::SignalProxy2< void, const Glib::RefPtr < Gst::Object >&, const Glib::ustring& > | signal_child_added ()
Glib::SignalProxy2< void, const Glib::RefPtr < Gst::Object >&, const Glib::ustring& > | signal_child_removed ()
virtual Glib::RefPtr < Glib::Object > | get_child_by_index_vfunc (guint index) const
| Virtual method to fetch the child. More...
virtual guint | get_children_count_vfunc () const
| Virtual method to get the children count. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< DecodeBin > | create ()
| Creates a new decodebin plugin with a unique name. More...
static Glib::RefPtr< DecodeBin > | create (const Glib::ustring& name)
| Creates a new decodebin plugin with the given name. More...
Static Public Member Functions inherited from Gst::Bin
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< Bin > | create (const Glib::ustring& name)
| Creates a new bin with the given name. More...
static Glib::RefPtr< Bin > | create ()
| Creates a new bin with a unique generic name. More...
Static Public Member Functions inherited from Gst::Element
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gst::Object
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static bool | check_uniqueness (const Glib::ListHandle< const Gst::Object >& list, const Glib::ustring& name)
| Checks to see if there is any object named name in list. More...
Static Public Member Functions inherited from Gst::ChildProxy
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static bool | lookup (const Glib::RefPtr< Gst::ChildProxy >& object, const Glib::ustring& name, Glib::RefPtr< Glib::Object >& target, GParamSpec*& pspec)
| Looks up which object and ParamSpec would be effected by the given name. More...

## Protected Member Functions
| DecodeBin ()
| DecodeBin (const Glib::ustring& name)
Protected Member Functions inherited from Gst::Bin
| Bin (const Glib::ustring& name)
| Bin ()
virtual void | on_element_added (const Glib::RefPtr< Gst::Element >& element)
| This is a default handler for the signal signal_element_added(). More...
virtual void | on_element_removed (const Glib::RefPtr< Gst::Element >& element)
| This is a default handler for the signal signal_element_removed(). More...
virtual bool | on_do_latency ()
| This is a default handler for the signal signal_do_latency(). More...
Protected Member Functions inherited from Gst::Element
virtual void | on_no_more_pads ()
| This is a default handler for the signal signal_no_more_pads(). More...
virtual void | on_pad_added (const Glib::RefPtr< Gst::Pad >& new_pad)
| This is a default handler for the signal signal_pad_added(). More...
virtual void | on_pad_removed (const Glib::RefPtr< Gst::Pad >& old_pad)
| This is a default handler for the signal signal_pad_removed(). More...
Protected Member Functions inherited from Gst::Object
virtual void | on_deep_notify (const Glib::RefPtr< Object >& prop_object, GParamSpec* prop)
| This is a default handler for the signal signal_deep_notify(). More...
Protected Member Functions inherited from Gst::ChildProxy
| ChildProxy ()
| You should derive from this class to use it. More...
virtual void | on_child_added (const Glib::RefPtr< Gst::Object >& object, const Glib::ustring& name)
| This is a default handler for the signal signal_child_added(). More...
virtual void | on_child_removed (const Glib::RefPtr< Gst::Object >& object, const Glib::ustring& name)
| This is a default handler for the signal signal_child_removed(). More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::DecodeBin > | wrap (GstDecodeBin* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::Bin
Glib::RefPtr< Gst::Bin > | wrap (GstBin* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::Element
Glib::RefPtr< Gst::Element > | wrap (GstElement* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::Object
Glib::RefPtr< Gst::Object > | wrap (GstObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::ChildProxy
Glib::RefPtr< Gst::ChildProxy > | wrap (GstChildProxy* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A Wrapper for the decodebin plugin.

Please note that not all plug-ins are available on all systems so care must be taken that they exist before they are used otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::DecodeBin::~DecodeBin | ( |  | ) |
| virtual

Gst::DecodeBin::DecodeBin | ( |  | ) |
| protected

Gst::DecodeBin::DecodeBin | ( | const Glib::ustring & | name | ) |
| explicitprotected

## Member Function Documentation

static Glib::RefPtr<DecodeBin> Gst::DecodeBin::create | ( |  | ) |
| static

Creates a new decodebin plugin with a unique name.

static Glib::RefPtr<DecodeBin> Gst::DecodeBin::create | ( | const Glib::ustring & | name | ) |
| static

Creates a new decodebin plugin with the given name.

static GType Gst::DecodeBin::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GstDecodeBin* Gst::DecodeBin::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GstDecodeBin* Gst::DecodeBin::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GstDecodeBin* Gst::DecodeBin::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy< Glib::RefPtr<Gst::Caps> > Gst::DecodeBin::property_caps | ( |  | ) |

The caps on which to stop decoding.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Caps> > Gst::DecodeBin::property_caps | ( |  | ) | const

The caps on which to stop decoding.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint64 > Gst::DecodeBin::property_connection_speed | ( |  | ) |

Network connection speed in kbps (0 = unknown).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::DecodeBin::property_connection_speed | ( |  | ) | const

Network connection speed in kbps (0 = unknown).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::DecodeBin::property_expose_all_streams | ( |  | ) |

Expose all streams, including those of unknown type or that don't match the 'caps' property.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::DecodeBin::property_expose_all_streams | ( |  | ) | const

Expose all streams, including those of unknown type or that don't match the 'caps' property.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::DecodeBin::property_high_percent | ( |  | ) |

High threshold for buffering to finish.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::DecodeBin::property_high_percent | ( |  | ) | const

High threshold for buffering to finish.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::DecodeBin::property_low_percent | ( |  | ) |

Low threshold for buffering to start.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::DecodeBin::property_low_percent | ( |  | ) | const

Low threshold for buffering to start.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gst::DecodeBin::property_max_size_buffers | ( |  | ) |

Max.

number of buffers in the queue (0=automatic).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gst::DecodeBin::property_max_size_buffers | ( |  | ) | const

Max.

number of buffers in the queue (0=automatic).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gst::DecodeBin::property_max_size_bytes | ( |  | ) |

Max.

amount of bytes in the queue (0=automatic).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gst::DecodeBin::property_max_size_bytes | ( |  | ) | const

Max.

amount of bytes in the queue (0=automatic).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint64 > Gst::DecodeBin::property_max_size_time | ( |  | ) |

Max.

amount of data in the queue (in ns, 0=automatic).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::DecodeBin::property_max_size_time | ( |  | ) | const

Max.

amount of data in the queue (in ns, 0=automatic).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::DecodeBin::property_post_stream_topology | ( |  | ) |

Post stream-topology messages.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::DecodeBin::property_post_stream_topology | ( |  | ) | const

Post stream-topology messages.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gst::Caps> > Gst::DecodeBin::property_sink_caps | ( |  | ) |

The caps of the input data.

(NULL = use typefind element).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Caps> > Gst::DecodeBin::property_sink_caps | ( |  | ) | const

The caps of the input data.

(NULL = use typefind element).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gst::DecodeBin::property_subtitle_encoding | ( |  | ) |

Encoding to assume if input subtitles are not in UTF-8 encoding.

If not set, the GST_SUBTITLE_ENCODING environment variable will be checked for an encoding to use. If that is not set either, ISO-8859-15 will be assumed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::DecodeBin::property_subtitle_encoding | ( |  | ) | const

Encoding to assume if input subtitles are not in UTF-8 encoding.

If not set, the GST_SUBTITLE_ENCODING environment variable will be checked for an encoding to use. If that is not set either, ISO-8859-15 will be assumed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::DecodeBin::property_use_buffering | ( |  | ) |

Emit GST_MESSAGE_BUFFERING based on low-/high-percent thresholds.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::DecodeBin::property_use_buffering | ( |  | ) | const

Emit GST_MESSAGE_BUFFERING based on low-/high-percent thresholds.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::SignalProxy2< bool,const Glib::RefPtr<Gst::Pad>&,const Glib::RefPtr<Gst::Caps>& > Gst::DecodeBin::signal_autoplug_continue | ( |  | ) |

Slot Prototype:
  `bool on_my_autoplug_continue(const Glib::RefPtr<Gst::Pad>& arg0, const Glib::RefPtr<Gst::Caps>& arg1)`

Glib::SignalProxy2< Glib::ValueArray,const Glib::RefPtr<Gst::Pad>&,const Glib::RefPtr<Gst::Caps>& > Gst::DecodeBin::signal_autoplug_factories | ( |  | ) |

Slot Prototype:
  `Glib::ValueArray on_my_autoplug_factories(const Glib::RefPtr<Gst::Pad>& arg0, const Glib::RefPtr<Gst::Caps>& arg1)`

Glib::SignalProxy3< Gst::AutoplugSelectResult,const Glib::RefPtr<Gst::Pad>&,const Glib::RefPtr<Gst::Caps>&,const Glib::RefPtr<Gst::ElementFactory>& > Gst::DecodeBin::signal_autoplug_select | ( |  | ) |

Slot Prototype:
  `Gst::AutoplugSelectResult on_my_autoplug_select(const Glib::RefPtr<Gst::Pad>& arg0, const Glib::RefPtr<Gst::Caps>& arg1, const Glib::RefPtr<Gst::ElementFactory>& arg2)`

Glib::SignalProxy3< Glib::ValueArray,const Glib::RefPtr<Gst::Pad>&,const Glib::RefPtr<Gst::Caps>&,const Glib::ValueArray& > Gst::DecodeBin::signal_autoplug_sort | ( |  | ) |

Slot Prototype:
  `Glib::ValueArray on_my_autoplug_sort(const Glib::RefPtr<Gst::Pad>& arg0, const Glib::RefPtr<Gst::Caps>& arg1, const Glib::ValueArray& arg2)`

Glib::SignalProxy0< void > Gst::DecodeBin::signal_drained | ( |  | ) |

Slot Prototype:
  `void on_my_drained()`

Glib::SignalProxy2< void,const Glib::RefPtr<Gst::Pad>&,const Glib::RefPtr<Gst::Caps>& > Gst::DecodeBin::signal_unknown_type | ( |  | ) |

Slot Prototype:
  `void on_my_unknown_type(const Glib::RefPtr<Gst::Pad>& arg0, const Glib::RefPtr<Gst::Caps>& arg1)`

## Friends And Related Function Documentation

Glib::RefPtr< Gst::DecodeBin > wrap | ( | GstDecodeBin * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/decodebin.h